- name: vyos-config
  vyos_config:
    lines:
      - set nat destination rule {{ 100+item|int }} translation address 192.168.69.{{ item|int  }}
      - set nat destination rule {{ 100+item|int }} destination address 152.66.209.61
      - set nat destination rule {{ 100+item|int  }} translation port 22
      - set nat destination rule {{ 100+item|int  }} inbound-interface eth0
      - set nat destination rule {{ 100+item|int  }} protocol tcp
      - set nat destination rule {{ 100+item|int  }} destination port {{ 10000 + (item|int)  }}
  with_sequence: 1-33

- name: vyos-confifg
  vyos_config:
    lines:
      - set firewall name FR-W-FWD rule 100 destination port 22
      - set firewall name FR-W-FWD rule 100 destination address 192.168.69.0/24
      - set firewall name FR-W-FWD rule 100 protocol tcp
      - set firewall name FR-W-FWD rule 100 action accept
      - set firewall name FR-W-FWD rule 110 destination port 80,443
      - set firewall name FR-W-FWD rule 110 destination address 192.168.69.50
      - set firewall name FR-W-FWD rule 110 protocol tcp
      - set firewall name FR-W-FWD rule 110 action accept
      - set nat destination rule 150 inbound-interface eth0
      - set nat destination rule 150 translation address 192.168.69.50
      - set nat destination rule 150 destination address 152.66.209.61
      - set nat destination rule 150 protocol tcp
      - set nat destination rule 150 destination port 80,443
    save: yes